Uploaded image for project: 'Struts 2'
  1. Struts 2
  2. WW-3713

Allow results from POST and restore compatibility with struts-rest-plugin version 2.2.1

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 2.2.3
    • Fix Version/s: 2.3.1
    • Component/s: Plugin - REST
    • Labels:
      None

      Description

      Some time ago I posted a message on the mailing list but got no reply. See http://struts.1045723.n5.nabble.com/struts-rest-plugin-2-2-3-result-from-POST-td4469274.html

      We really would like to update to newer versions of Struts and benefit from the security fixes but we absolutely care about backward-compatibility. We are aware that it is not a "valid" REST practice to return results from POST operations and we wish we had not done so in the first place. Unfortunately, to remain backward compatible we have no choice. Do you see a way to restore the 2.2.1 behavior to allow us to remain backward-compatible?

        Attachments

        1. WW-3713-1.patch
          6 kB
          Lukasz Lenart

          Issue Links

            Activity

              People

              • Assignee:
                lukaszlenart Lukasz Lenart
                Reporter:
                kristof.vanbecelaere Kristof Vanbecelaere
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: